org.eclipse.emf.cdo.net4j

## Class CDONet4jViewProvider.WS

- java.lang.Object
- - org.eclipse.emf.cdo.view.AbstractCDOViewProvider
  - - org.eclipse.emf.cdo.net4j.CDONet4jViewProvider
    - - org.eclipse.emf.cdo.net4j.CDONet4jViewProvider.WS

- All Implemented Interfaces:
    CDOViewProvider, CDOViewProvider.CDOViewProvider2
  Enclosing class:
    CDONet4jViewProvider

      public static class CDONet4jViewProvider.WS
      extends CDONet4jViewProvider

  A WS-based `view provider`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

      `CDONet4jViewProvider.JVM, CDONet4jViewProvider.SSL, CDONet4jViewProvider.TCP, CDONet4jViewProvider.WS`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCEPTOR_NAME_PREFIX`

    - ### Fields inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

      `transport`

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WS()`
    `WS(int priority)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CDOURIData` | `createURIData(URI uri)`
    `protected int` | `getAcceptorSegmentIndex(IPath path)`
    `java.lang.String` | `getPath(URI uri)` Should be overwritten for non-canonical URI formats!
    `protected java.lang.String` | `getURIAuthority(IConnector connector)`

    - ### Methods inherited from class org.eclipse.emf.cdo.net4j.CDONet4jViewProvider

      `getConnector, getConnectorDescription, getContainer, getNet4jSession, getNet4jSessionConfiguration, getResourceURI, getSession, getSessionConfiguration, getView, getViewURI`

    - ### Methods inherited from class org.eclipse.emf.cdo.view.AbstractCDOViewProvider

      `getPriority, getRegex, getViewURI, matchesRegex, setPriority, setRegex, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACCEPTOR_NAME_PREFIX

          public static final java.lang.String ACCEPTOR_NAME_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WS

          public WS(int priority)

    - #### WS

          public WS()

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath(URI uri)

      Description copied from class: `AbstractCDOViewProvider`
      Should be overwritten for non-canonical URI formats!
      Specified by:
        `getPath` in interface `CDOViewProvider.CDOViewProvider2`
      Overrides:
        `getPath` in class `CDONet4jViewProvider`

    - #### getURIAuthority

          protected java.lang.String getURIAuthority(IConnector connector)

      Overrides:
        `getURIAuthority` in class `CDONet4jViewProvider`

    - #### createURIData

          protected CDOURIData createURIData(URI uri)

      Overrides:
        `createURIData` in class `CDONet4jViewProvider`

    - #### getAcceptorSegmentIndex

          protected int getAcceptorSegmentIndex(IPath path)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html